unit HTTPStaticFile;

interface

uses
  Windows,Classes,SysUtils,HTTPServerModule,ComponentCollection;

type
  THTTPStaticFile=class(THTTPFile)
  private
    FLocalFileName: string;
    procedure SetLocalFileName(const Value: string);
  public
    function GetHTTPFileExtension:string;override;
  published
    property LocalFileName:string read FLocalFileName write SetLocalFileName;
  end;

implementation

{ THTTPStaticFile }

function THTTPStaticFile.GetHTTPFileExtension: string;
begin
  Result:=ExtractFileExt(FLocalFileName);
end;

procedure THTTPStaticFile.SetLocalFileName(const Value: string);
begin
  FLocalFileName := Value;
end;

end.
