unit ComponentCollectionItemDefaultEditor;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComponentCollectionItemEditor, ComponentCollection, StdCtrls,
  DesignIntf;

type
  TComponentCollectionItemDefaultEditorFrame = class(TComponentCollectionItemEditorFrame)
    ListBox1: TListBox;
    procedure ListBox1Click(Sender: TObject);
    procedure ListBox1DblClick(Sender: TObject);
  private
  protected
    procedure ReloadList(Sender:TComponentCollection);override;
  public
    constructor Create(AOwner:TComponent;AParent:TWinControl;AItem:TComponent;AReference:Pointer;ADesigner:IDesigner);override;
  end;

var
  ComponentCollectionItemDefaultEditorFrame: TComponentCollectionItemDefaultEditorFrame;

implementation

{$R *.dfm}

{ TComponentCollectionItemDefaultEditorFrame }

constructor TComponentCollectionItemDefaultEditorFrame.Create(
  AOwner: TComponent; AParent: TWinControl; AItem: TComponent; AReference: Pointer;
  ADesigner: IDesigner);
begin
  inherited;
  ReloadList(ComponentCollection);
end;

procedure TComponentCollectionItemDefaultEditorFrame.ReloadList(
  Sender: TComponentCollection);
var
  a:Integer;
begin
  ListBox1.Items.Clear;
  for a:=0 to Sender.Count-1 do
    ListBox1.AddItem(Sender.GetComponent(a).Name,Sender.GetComponent(a));
end;

procedure TComponentCollectionItemDefaultEditorFrame.ListBox1Click(
  Sender: TObject);
begin
  if ListBox1.ItemIndex>-1 then
    (Owner as IComponentCollectionItemParent).Select(TComponent(ListBox1.Items.Objects[ListBox1.ItemIndex]));
end;

procedure TComponentCollectionItemDefaultEditorFrame.ListBox1DblClick(
  Sender: TObject);
begin
  if ListBox1.ItemIndex>-1 then
    with Owner as IComponentCollectionItemParent do
      Edit(TComponent(ListBox1.Items.Objects[ListBox1.ItemIndex]));
end;

end.
