unit HTMLDocumentItemEditor;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComponentCollectionItemEditor, StdCtrls, ComCtrls, ToolWin,
  HTMLDocument, ExtCtrls, ShellAPI, DesignIntf;

type
  THTMLDocumentItemEditorFrame = class(TComponentCollectionItemEditorFrame)
    Memo1: TMemo;
    ToolBar1: TToolBar;
    ToolButton1: TToolButton;
    ToolButton2: TToolButton;
    procedure ToolButton1Click(Sender: TObject);
    procedure ToolButton2Click(Sender: TObject);
  private
  public
    constructor Create(AOwner:TComponent;AParent:TWinControl;AItem:TComponent;AReference:Pointer;ADesigner:IDesigner);override;
  end;

var
  HTMLDocumentItemEditorFrame: THTMLDocumentItemEditorFrame;

implementation

{$R *.dfm}

constructor THTMLDocumentItemEditorFrame.Create(AOwner: TComponent;
  AParent: TWinControl; AItem: TComponent; AReference: Pointer; ADesigner: IDesigner);
begin
  inherited;
  ToolButton1Click(nil);
end;

procedure THTMLDocumentItemEditorFrame.ToolButton1Click(Sender: TObject);
begin
  Memo1.Lines.Text:=THTMLDocument(FItem).GetHTMLCodeContent('');
end;

procedure THTMLDocumentItemEditorFrame.ToolButton2Click(Sender: TObject);
var
  t:array[0..MAX_PATH] of Char;
  u:string;
  f:TFileStream;
  s:TStringStream;
begin
  GetTempPath(MAX_PATH,@t[0]);
  u:=t+'Preview.html';
  s:=TStringStream.Create(THTMLDocument(FItem).GetHTMLCodeContent(''));
  f:=TFileStream.Create(u,fmOpenWrite or fmCreate);
  f.Size:=0;
  s.Position:=0;
  f.CopyFrom(s,s.Size);
  s.Destroy;
  f.Destroy;
  ShellExecute(0,'OPEN',PChar(u),nil,nil,SW_SHOWNORMAL);
end;

end.
