unit Unit2;

interface

uses
  Messages, SysUtils, Windows, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, HTTPServerModule, HTMLDocument, HTMLGraphicObject,
  ComponentCollection, HTTPGraphicFile, HTMLInputObject, HTMLListObject,
  idCustomHTTPServer, JPEG, HTMLRadioGroup, ConsoleThread, HTMLMemo,
  CustomFileSystem, LocalFileSystem, ImgList;

type
  THTTPServerDataModule2 = class(THTTPServerDataModule)
    HTTPDynamicGraphicFile1: THTTPDynamicGraphicFile;
    Capture: THTMLDocument;
    HTMLGraphicObject1: THTMLGraphicObject;
    HTMLRawCode1: THTMLRawCode;
    HTMLRawCode2: THTMLRawCode;
    HTMLRawCode3: THTMLRawCode;
    HTMLRawCode4: THTMLRawCode;
    HTMLRawCode5: THTMLRawCode;
    HTMLRawCode6: THTMLRawCode;
    HTMLComboBox1: THTMLComboBox;
    HTMLComboBox2: THTMLComboBox;
    HTMLComboBox3: THTMLComboBox;
    HTMLCheckBox1: THTMLCheckBox;
    Index: THTMLDocument;
    HTMLRawCode7: THTMLRawCode;
    HTMLComboBox4: THTMLComboBox;
    HTMLButton1: THTMLButton;
    HTMLRawCode8: THTMLRawCode;
    HTMLRawCode9: THTMLRawCode;
    Explorer: THTMLDocument;
    DOS: THTMLDocument;
    HTMLRawCode10: THTMLRawCode;
    HTMLMemo1: THTMLMemo;
    HTMLEdit1: THTMLEdit;
    HTMLButton2: THTMLButton;
    HTMLRawCode11: THTMLRawCode;
    HTMLRawCode12: THTMLRawCode;
    HTMLRawCode13: THTMLRawCode;
    HTMLRawCode14: THTMLRawCode;
    HTMLButton3: THTMLButton;
    HTMLButton4: THTMLButton;
    HTMLRawCode15: THTMLRawCode;
    HTMLComboBox5: THTMLComboBox;
    HTMLRawCode16: THTMLRawCode;
    LocalFileSystem1: TLocalFileSystem;
    HTMLDynamicCode1: THTMLDynamicCode;
    HTTPCustomFile1: THTTPCustomFile;
    ImageList1: TImageList;
    HTTPCustomFile2: THTTPCustomFile;
    HTTPCustomFile3: THTTPCustomFile;
    HTTPCustomFile4: THTTPCustomFile;
    HTMLDynamicCode2: THTMLDynamicCode;
    HTTPCustomFile5: THTTPCustomFile;
    HTMLComboBox6: THTMLComboBox;
    HTMLRawCode17: THTMLRawCode;
    HTMLButton5: THTMLButton;
    HTMLRawCode18: THTMLRawCode;
    HTMLRawCode19: THTMLRawCode;
    HTMLButton6: THTMLButton;
    HTMLEdit2: THTMLEdit;
    HTMLRawCode20: THTMLRawCode;
    HTMLRawCode21: THTMLRawCode;
    HTMLCheckBox2: THTMLCheckBox;
    HTMLCheckBox3: THTMLCheckBox;
    HTMLCheckBox4: THTMLCheckBox;
    HTMLCheckBox5: THTMLCheckBox;
    HTMLRawCode25: THTMLRawCode;
    HTMLButton7: THTMLButton;
    HTMLComboBox7: THTMLComboBox;
    HTMLRawCode22: THTMLRawCode;
    procedure HTTPDynamicGraphicFile1GetGraphicExtension(Sender: TObject;
      var Extension: String);
    procedure HTTPDynamicGraphicFile1GetGraphic(Sender: TObject;
      var Graphic: TGraphic);
    procedure HTMLGraphicObject1Click(Sender: TObject; X, Y: Integer;
      Button: Byte; shiftKey, altKey, ctrlKey: Boolean;
      ARequestInfo: TIdHTTPRequestInfo; AResponseInfo: TIdHTTPResponseInfo;
      var Handled: Boolean);
    procedure HTMLGraphicObject1CodeCompile(Sender: TObject);
    procedure HTMLComboBox1Change(Sender: TObject);
    procedure HTMLComboBox2Change(Sender: TObject);
    procedure HTMLButton1Click(Sender: TObject; X, Y: Integer;
      Button: Byte; shiftKey, altKey, ctrlKey: Boolean;
      ARequestInfo: TIdHTTPRequestInfo; AResponseInfo: TIdHTTPResponseInfo;
      var Handled: Boolean);
    procedure HTTPServerDataModuleCreate(Sender: TObject);
    procedure HTTPServerDataModuleDestroy(Sender: TObject);
    procedure HTMLButton2Click(Sender: TObject; X, Y: Integer;
      Button: Byte; shiftKey, altKey, ctrlKey: Boolean;
      ARequestInfo: TIdHTTPRequestInfo; AResponseInfo: TIdHTTPResponseInfo;
      var Handled: Boolean);
    procedure HTMLMemo1CodeCompile(Sender: TObject);
    procedure HTMLButton3Click(Sender: TObject; X, Y: Integer;
      Button: Byte; shiftKey, altKey, ctrlKey: Boolean;
      ARequestInfo: TIdHTTPRequestInfo; AResponseInfo: TIdHTTPResponseInfo;
      var Handled: Boolean);
    procedure HTMLButton4Click(Sender: TObject; X, Y: Integer;
      Button: Byte; shiftKey, altKey, ctrlKey: Boolean;
      ARequestInfo: TIdHTTPRequestInfo; AResponseInfo: TIdHTTPResponseInfo;
      var Handled: Boolean);
    procedure HTMLDynamicCode1GetDynamicHTMLCode(Sender: TObject;
      var Code: String);
    procedure HTTPCustomFile1GetFileExtension(Sender: TObject;
      var Extension: String);
    procedure HTTPCustomFile1GetFileContent(Sender: TObject;
      ARequestInfo: TIdHTTPRequestInfo;
      AResponseInfo: TIdHTTPResponseInfo);
    procedure HTTPCustomFile2GetFileExtension(Sender: TObject;
      var Extension: String);
    procedure HTTPCustomFile2GetFileContent(Sender: TObject;
      ARequestInfo: TIdHTTPRequestInfo;
      AResponseInfo: TIdHTTPResponseInfo);
    procedure HTTPCustomFile3GetFileContent(Sender: TObject;
      ARequestInfo: TIdHTTPRequestInfo;
      AResponseInfo: TIdHTTPResponseInfo);
    procedure HTTPCustomFile4GetFileContent(Sender: TObject;
      ARequestInfo: TIdHTTPRequestInfo;
      AResponseInfo: TIdHTTPResponseInfo);
    procedure HTMLDynamicCode2GetDynamicHTMLCode(Sender: TObject;
      var Code: String);
    procedure HTTPCustomFile5GetFileContent(Sender: TObject;
      ARequestInfo: TIdHTTPRequestInfo;
      AResponseInfo: TIdHTTPResponseInfo);
    procedure HTMLEdit1Submit(Sender: TObject;
      ARequestInfo: TIdHTTPRequestInfo; AResponseInfo: TIdHTTPResponseInfo;
      var Handled: Boolean);
    procedure HTMLComboBox6Change(Sender: TObject);
    procedure HTMLButton5Click(Sender: TObject; X, Y: Integer;
      Button: Byte; shiftKey, altKey, ctrlKey: Boolean;
      ARequestInfo: TIdHTTPRequestInfo; AResponseInfo: TIdHTTPResponseInfo;
      var Handled: Boolean);
    procedure HTMLButton6Click(Sender: TObject; X, Y: Integer;
      Button: Byte; shiftKey, altKey, ctrlKey: Boolean;
      ARequestInfo: TIdHTTPRequestInfo; AResponseInfo: TIdHTTPResponseInfo;
      var Handled: Boolean);
  private
  public
    LastPos:TPoint;
    LastTick:Cardinal;
    ConsoleThread:TConsoleThread;
  end;

implementation

{$R *.dfm}

procedure THTTPServerDataModule2.HTTPDynamicGraphicFile1GetGraphicExtension(
  Sender: TObject; var Extension: String);
begin
  Extension:='.jpeg';
end;

procedure THTTPServerDataModule2.HTTPDynamicGraphicFile1GetGraphic(
  Sender: TObject; var Graphic: TGraphic);
var
  DC:HDC;
  Bitmap:TBitmap;
  t:Cardinal;
begin
  t:=GetTickCount;
  if t-LastTick<1000 then
    Sleep(1000-t+LastTick);
  Graphic:=TJPEGImage.Create;
  DC:=GetDC(GetDesktopWindow);
  Bitmap:=TBitmap.Create;
  try
    Bitmap.Width:=HTMLGraphicObject1.Width;
    Bitmap.Height:=HTMLGraphicObject1.Height;
    SetStretchBltMode(Bitmap.Canvas.Handle,STRETCH_HALFTONE);
    SetStretchBltMode(DC,STRETCH_HALFTONE);
    StretchBlt(Bitmap.Canvas.Handle,0,0,Bitmap.Width,Bitmap.Height,DC,0,0,Screen.Width,Screen.Height,SRCCOPY);
    ReleaseDC(GetDesktopWindow,DC);
    Bitmap.Canvas.Brush.Color:=clRed;
    with Point(Round(LastPos.X*HTMLGraphicObject1.Width/Screen.Width),Round(LastPos.Y*HTMLGraphicObject1.Height/Screen.Height)) do
      Bitmap.Canvas.Ellipse(x-3,y-3,x+3,y+3);
    Graphic.Assign(Bitmap);
  finally
    Bitmap.Destroy;
  end;
  TJPEGImage(Graphic).CompressionQuality:=10*(1+HTMLComboBox6.ItemIndex);
  TJPEGImage(Graphic).Compress;
end;

procedure THTTPServerDataModule2.HTMLGraphicObject1Click(Sender: TObject;
  X, Y: Integer; Button: Byte; shiftKey, altKey, ctrlKey: Boolean;
  ARequestInfo: TIdHTTPRequestInfo; AResponseInfo: TIdHTTPResponseInfo;
  var Handled: Boolean);
var
  p:TPoint;
begin
  if ctrlKey then
    Exit;
  GetCursorPos(p);
  X:=Round(X*Screen.Width/HTMLGraphicObject1.Width);
  Y:=Round(Y*Screen.Height/HTMLGraphicObject1.Height);
  LastPos:=Point(X,Y);
  SetCursorPos(X,Y);
  case HTMLComboBox7.ItemIndex of
    0:begin
      Mouse_Event(MOUSEEVENTF_LEFTDOWN,0,0,0,0);
      Sleep(10);
      Mouse_Event(MOUSEEVENTF_LEFTUP,0,0,0,0);
    end;
    1:begin
      Mouse_Event(MOUSEEVENTF_LEFTDOWN,0,0,0,0);
      Sleep(10);
      Mouse_Event(MOUSEEVENTF_LEFTUP,0,0,0,0);
      Sleep(10);
      Mouse_Event(MOUSEEVENTF_LEFTDOWN,0,0,0,0);
      Sleep(10);
      Mouse_Event(MOUSEEVENTF_LEFTUP,0,0,0,0);
    end;
    2:begin
      Mouse_Event(MOUSEEVENTF_RIGHTDOWN,0,0,0,0);
      Sleep(10);
      Mouse_Event(MOUSEEVENTF_RIGHTUP,0,0,0,0);
    end;
    3:begin
      Mouse_Event(MOUSEEVENTF_MIDDLEDOWN,0,0,0,0);
      Sleep(10);
      Mouse_Event(MOUSEEVENTF_MIDDLEUP,0,0,0,0);
    end;
  end;
  LastTick:=GetTickCount;
  SetCursorPos(p.X,p.Y);
end;

procedure THTTPServerDataModule2.HTMLGraphicObject1CodeCompile(
  Sender: TObject);
begin
  HTMLGraphicObject1.Width:=Round((HTMLComboBox1.ItemIndex+1)*10*Screen.Width/100);
  HTMLGraphicObject1.Height:=Round((HTMLComboBox2.ItemIndex+1)*10*Screen.Height/100);
end;

procedure THTTPServerDataModule2.HTMLComboBox1Change(Sender: TObject);
begin
;
end;

procedure THTTPServerDataModule2.HTMLComboBox2Change(Sender: TObject);
begin
;
end;

procedure THTTPServerDataModule2.HTMLButton1Click(Sender: TObject; X,
  Y: Integer; Button: Byte; shiftKey, altKey, ctrlKey: Boolean;
  ARequestInfo: TIdHTTPRequestInfo; AResponseInfo: TIdHTTPResponseInfo;
  var Handled: Boolean);
var
  a:Integer;
const
  ErrorFunctionNotFound='onload="alert(''Error: Function not found'')"';
begin
  a:=Index.AdditionalBodyStyles.IndexOf(ErrorFunctionNotFound);
  if a>-1 then
    Index.AdditionalBodyStyles.Delete(a);
  Handled:=True;
  with AResponseInfo do
    case HTMLComboBox4.ItemIndex of
      0:Redirect(Capture.GetHTTPFileName);
      1:Redirect(Explorer.GetHTTPFileName);
      2:Redirect(DOS.GetHTTPFileName);
    else
      Handled:=False;
      Index.AdditionalBodyStyles.Add(ErrorFunctionNotFound);
    end;
end;

procedure THTTPServerDataModule2.HTTPServerDataModuleCreate(
  Sender: TObject);
begin
  ConsoleThread:=TConsoleThread.Create;
  LocalFileSystem1.Connect;
  LocalFileSystem1.CurrentDirectory:='/'+ExtractFileDrive(GetCurrentDir)+'/';
end;

procedure THTTPServerDataModule2.HTTPServerDataModuleDestroy(
  Sender: TObject);
begin
  ConsoleThread.Destroy;
end;

procedure THTTPServerDataModule2.HTMLButton2Click(Sender: TObject; X,
  Y: Integer; Button: Byte; shiftKey, altKey, ctrlKey: Boolean;
  ARequestInfo: TIdHTTPRequestInfo; AResponseInfo: TIdHTTPResponseInfo;
  var Handled: Boolean);
begin
  HTMLEdit1Submit(nil,ARequestInfo,AResponseInfo,Handled);
end;

procedure THTTPServerDataModule2.HTMLMemo1CodeCompile(Sender: TObject);
var
  s:string;
  v,c:Integer;
begin
  HTMLMemo1.Items.Text:=ConsoleThread.GetText;
  s:=HTMLComboBox5.ItemIndex;
  Val(s,v,c);
  if c>0 then
    v:=30;
  HTMLMemo1.RowCount:=IntToStr(v*10+30);
  while HTMLMemo1.Items.Count>=v*10+29 do
    HTMLMemo1.Items.Delete(0);
end;

procedure THTTPServerDataModule2.HTMLButton3Click(Sender: TObject; X,
  Y: Integer; Button: Byte; shiftKey, altKey, ctrlKey: Boolean;
  ARequestInfo: TIdHTTPRequestInfo; AResponseInfo: TIdHTTPResponseInfo;
  var Handled: Boolean);
begin
  ConsoleThread.Clear;
end;

procedure THTTPServerDataModule2.HTMLButton4Click(Sender: TObject; X,
  Y: Integer; Button: Byte; shiftKey, altKey, ctrlKey: Boolean;
  ARequestInfo: TIdHTTPRequestInfo; AResponseInfo: TIdHTTPResponseInfo;
  var Handled: Boolean);
begin
  ConsoleThread.Destroy;
  ConsoleThread:=TConsoleThread.Create;
end;

procedure THTTPServerDataModule2.HTMLDynamicCode1GetDynamicHTMLCode(
  Sender: TObject; var Code: String);
var
  Code1,Code2:string;

  function GetImageName(Up,Down,Right:Boolean;Plus:Integer;s:string=''):string;
  const
    TabIndex:array[False..True,False..True,False..True,-1..1] of Integer=
             ((((-1,-1,-1),
                (1,-1,-1)),
               ((-1,-1,-1),
                (0,-1,9))),
              (((-1,-1,-1),
                (6,5,7)),
               ((-1,8,-1),
                (3,2,4))));
  var
    i:Integer;
  begin
    i:=TabIndex[Up,Down,Right,Plus];
    if i=-1 then
      Result:='<TD></TD>'
    else begin
      if s<>'' then
        Result:='<TD><A Href="'+s+'"><IMG Src="'+HTTPCustomFile1.HTTPFileName+'?Index='+IntToStr(i)+'"></A></TD>'
      else
        Result:='<TD><IMG Src="'+HTTPCustomFile1.HTTPFileName+'?Index='+IntToStr(i)+'"></TD>';
    end;
  end;

  function GetFolderCount(l:TFileItemList):Integer;
  var
    a:Integer;
  begin
    Result:=0;
    if not Assigned(l) then
      Exit;
    for a:=0 to l.Count-1 do
      if l.Items[a].Folder then
        Inc(Result);
  end;

  procedure RecurseFiles(List:TFileItemList;Path:string;Ident:Integer;Blank:string);
  var
    a,b,c,d,e:Integer;
    l:TFileItemList;
    Link:string;
  begin
    if not Assigned(List) then
      List:=LocalFileSystem1.GetDirectoryContent(Path);
    with List do begin
      c:=-1;
      d:=-1;
      e:=-1;
      for a:=0 to Count-1 do
        with Items[a] do
          if Folder then begin
            if c=-1 then
              c:=a;
            d:=a;
            if Pos(FilePath+FileName+'/',LocalFileSystem1.CurrentDirectory)=1 then
              e:=a;
          end;
      for a:=0 to Count-1 do begin
        if Items[a].Folder then begin
          Code1:=Code1+'<TR>'+Blank;
          if Items[a].FastExplore then begin
            l:=LocalFileSystem1.GetDirectoryContent(Path+Items[a].FileName+'/');
            if GetFolderCount(l)>0 then
              b:=1
            else
              b:=0;
          end else begin
            l:=nil;
            b:=1;
          end;
          Link:=HTTPCustomFile3.HTTPFileName+'?CurrentDirectory='+Path+Items[a].FileName+'/';
          if a=e then
            Code1:=Code1+GetImageName((Ident>0) or (a>0),a<d,True,-b{,Link})+'<TD><IMG Src="'+HTTPCustomFile2.HTTPFileName+'?Index='+IntToStr(Items[a].OpenShellImageIndex)+'"></TD>'
          else
            Code1:=Code1+GetImageName((Ident>0) or (a>0),a<d,True,b{,Link})+'<TD><IMG Src="'+HTTPCustomFile2.HTTPFileName+'?Index='+IntToStr(Items[a].CloseShellImageIndex)+'"></TD>';
          if LocalFileSystem1.CurrentDirectory=Items[a].FilePath+Items[a].FileName+'/' then
            Code1:=Code1+'<TD Colspan="100"><FONT Color="Red">'+Items[a].FileName+'</FONT></TD></TR>'
          else
            Code1:=Code1+'<TD Colspan="100"><A Style="font-size: 12px;" Href="'+Link+'">'+Items[a].FileName+'</A></TD></TR>';
          if a=e then
            RecurseFiles(l,Path+Items[a].FileName+'/',Ident+1,Blank+GetImageName(e<d,e<d,False,0))
          else begin
            if Assigned(l) then
              l.Destroy;
          end;
        end;
        if Path=LocalFileSystem1.CurrentDirectory then begin
          Code2:=Code2+'<TR><TD VAlign="Top"><IMG Src="'+HTTPCustomFile2.HTTPFileName+'?Index='+IntToStr(Items[a].CloseShellImageIndex)+'"></TD>';
          if Items[a].Folder then
            Code2:=Code2+
                   '<TD VAlign="Top">'+
                   '<A Style="font-size: 12px;" Href="'+HTTPCustomFile3.HTTPFileName+'?CurrentDirectory='+Path+Items[a].FileName+'/">'+Items[a].FileName+'</A>'+
                   '</TD>'+
                   '<TD VAlign="Top" Align="Center">'+
                   Items[a].FileTypeName+
                   '</TD>'+
                   '<TD VAlign="Top" Align="Center">'+
                   DateTimeToStr(Items[a].DateModified)+
                   '</TD>'+
                   '<TD>'+
                   '</TD>'+
                   '</TR>'
          else
            Code2:=Code2+
                   '<TD VAlign="Top">'+
                   '<A Style="font-size: 12px;" Href="'+HTTPCustomFile4.HTTPFileName+'?FileName='+Path+Items[a].FileName+'">'+Items[a].FileName+'</A>'+
                   '</TD>'+
                   '<TD VAlign="Top" Align="Center">'+
                   Items[a].FileTypeName+
                   '</TD>'+
                   '<TD VAlign="Top" Align="Center">'+
                   DateTimeToStr(Items[a].DateModified)+
                   '</TD>'+
                   '<TD VAlign="Top" Align="Center">'+
                   IntToStr(Items[a].FileSize)+' Bytes'+
                   '</TD>'+
                   '</TR>';
        end;
      end;
      Destroy;
    end;
  end;
begin
  Code1:='<TABLE Cellpadding=0 Cellspacing=0 Style="font-size: 12px;">';
  Code2:='<TABLE Cellpadding=0 Cellspacing=2 Style="font-size: 12px;"><THEAD><TR><TH Colspan="2" Width="25%">Name</TH><TH Width="25%">Type</TH><TH Width="25%">Modified</TH><TH Width="25%">Size</TH></TR></THEAD>';
  RecurseFiles(nil,'/',0,'');
  Code1:=Code1+'</TABLE>';
  Code2:=Code2+'</TABLE>';
  Code:='<TABLE Width="100%" Border=1><TR><TD Valign="Top">'+Code1+'</TD><TD Valign="Top">'+Code2+'</TD></TR></TABLE>';
end;

procedure THTTPServerDataModule2.HTTPCustomFile1GetFileExtension(
  Sender: TObject; var Extension: String);
begin
  Extension:='.bmp';
end;

procedure THTTPServerDataModule2.HTTPCustomFile1GetFileContent(
  Sender: TObject; ARequestInfo: TIdHTTPRequestInfo;
  AResponseInfo: TIdHTTPResponseInfo);
var
  p:TBitmap;
  m:TMemoryStream;
  a,c:Integer;
  s:string;
begin
  s:=ARequestInfo.Params.Values['Index'];
  Val(s,a,c);
  if c=0 then begin
    p:=TBitmap.Create;
    p.Width:=ImageList1.Width;
    p.Height:=ImageList1.Height;
    ImageList1.Draw(p.Canvas,0,0,a);
    m:=TMemoryStream.Create;
    p.SaveToStream(m);
    p.Destroy;
    AResponseInfo.ContentStream:=m;
    AResponseInfo.CacheControl:='no-store';
  end;
end;

procedure THTTPServerDataModule2.HTTPCustomFile2GetFileExtension(
  Sender: TObject; var Extension: String);
begin
  Extension:='.bmp';
end;

procedure THTTPServerDataModule2.HTTPCustomFile2GetFileContent(
  Sender: TObject; ARequestInfo: TIdHTTPRequestInfo;
  AResponseInfo: TIdHTTPResponseInfo);
var
  p:TBitmap;
  m:TMemoryStream;
  a,c:Integer;
  s:string;
begin
  s:=ARequestInfo.Params.Values['Index'];
  Val(s,a,c);
  if (c=0) and (a>-1) then begin
    p:=TBitmap.Create;
    p.Width:=ShellSmallImageList.Width;
    p.Height:=ShellSmallImageList.Height;
    ShellSmallImageList.Draw(p.Canvas,0,0,a);
    m:=TMemoryStream.Create;
    p.SaveToStream(m);
    p.Destroy;
    AResponseInfo.ContentStream:=m;
    AResponseInfo.CacheControl:='no-store';
  end;
end;

procedure THTTPServerDataModule2.HTTPCustomFile3GetFileContent(
  Sender: TObject; ARequestInfo: TIdHTTPRequestInfo;
  AResponseInfo: TIdHTTPResponseInfo);
var
  s:string;
begin
  s:=ARequestInfo.Params.Values['CurrentDirectory'];
  if LocalFileSystem1.DirectoryExists(s) then begin
    LocalFileSystem1.CurrentDirectory:=s;
    AResponseInfo.Redirect(Explorer.HTTPFileName);
  end;
end;

procedure THTTPServerDataModule2.HTTPCustomFile4GetFileContent(
  Sender: TObject; ARequestInfo: TIdHTTPRequestInfo;
  AResponseInfo: TIdHTTPResponseInfo);
var
  s:string;
begin
  s:=ARequestInfo.Params.Values['FileName'];
  if LocalFileSystem1.FileExists(s) then
    AResponseInfo.ContentStream:=TFileStream.Create(Copy(s,2,Length(s)-1),fmOpenRead);
end;

procedure THTTPServerDataModule2.HTMLDynamicCode2GetDynamicHTMLCode(
  Sender: TObject; var Code: String);
begin
  Code:='Select a file to upload:'#13+
        '<FORM Name="Form1" Method="post" Action="'+HTTPCustomFile5.HTTPFileName+'" Enctype="multipart/form-data">'#13+
        '<INPUT Type="File" Size=80 Name="FileUpload">'#13+
        '<INPUT Type="Submit" Value="Send file">'#13+
        '</FORM>'#13;
end;

function ReadStringLn(ARequestInfo:TIdHTTPRequestInfo;var a:Integer):string;
var
  c:Char;
begin
  Result:='';
  repeat
    c:=ARequestInfo.UnparsedParams[a];
    Inc(a);
    Result:=Result+c;
  until ((c=#13) and (ARequestInfo.UnparsedParams[a]=#10)) or (a=Length(ARequestInfo.UnparsedParams));
  Inc(a);
end;

procedure THTTPServerDataModule2.HTTPCustomFile5GetFileContent(
  Sender: TObject; ARequestInfo: TIdHTTPRequestInfo;
  AResponseInfo: TIdHTTPResponseInfo);
var
  a,b:Integer;
  s1,s2,s3,s4:string;
  f:TFileStream;
begin
  a:=1;
  s1:=ReadStringLn(ARequestInfo,a);
  s1:=Copy(s1,1,Length(s1)-2);
  s2:=ReadStringLn(ARequestInfo,a);
  s3:=ReadStringLn(ARequestInfo,a);
  b:=Pos('filename=',AnsiLowerCase(s2));
  s4:=ExtractFileName(Copy(s2,b+10,Length(s2)-b-11));
  if s4<>'' then begin
    s2:=Copy(LocalFileSystem1.CurrentDirectory,2,Length(LocalFileSystem1.CurrentDirectory)-1)+s4;
    if not FileExists(s2) then begin
      f:=TFileStream.Create(s2,fmOpenWrite or fmCreate);
      try
        b:=a+2;
        while (a<Length(ARequestInfo.UnparsedParams)) and not CompareMem(@ARequestInfo.UnparsedParams[a],@s1[1],Length(s1)) do
          Inc(a);
        f.WriteBuffer(ARequestInfo.UnparsedParams[b],a-b-2);
      finally
        f.Destroy;
      end;
    end;
  end;
  AResponseInfo.Redirect(Explorer.HTTPFileName);
end;

procedure THTTPServerDataModule2.HTMLEdit1Submit(Sender: TObject;
  ARequestInfo: TIdHTTPRequestInfo; AResponseInfo: TIdHTTPResponseInfo;
  var Handled: Boolean);
var
  s:string;
begin
  s:=HTMLEdit1.Text;
  ConsoleThread.Send(s);
  Sleep(1000);
end;

procedure THTTPServerDataModule2.HTMLComboBox6Change(Sender: TObject);
begin
;
end;

procedure THTTPServerDataModule2.HTMLButton5Click(Sender: TObject; X,
  Y: Integer; Button: Byte; shiftKey, altKey, ctrlKey: Boolean;
  ARequestInfo: TIdHTTPRequestInfo; AResponseInfo: TIdHTTPResponseInfo;
  var Handled: Boolean);
begin
;
end;

procedure THTTPServerDataModule2.HTMLButton6Click(Sender: TObject; X,
  Y: Integer; Button: Byte; shiftKey, altKey, ctrlKey: Boolean;
  ARequestInfo: TIdHTTPRequestInfo; AResponseInfo: TIdHTTPResponseInfo;
  var Handled: Boolean);
var
  s,t:string;
  c:Char;
  a,n:Integer;

  function ReadArgument:string;
  begin
    Result:='';
    while a<=n do begin
      c:=s[a];
      case c of
        '[':Result:='';
        ']':Break;
      else
        Result:=Result+c;
      end;
      Inc(a);
    end;
    if c<>']' then
      Result:='';
  end;

  function SpecialKey(const Name:string):Word;
  const
    TName:array[1..33] of string=(
      'Shift','Ctrl','Alt','Alt Gr',
      'Win start','Win menu','Left','Right','Up','Down','Escape','Enter','Tab',
      'Delete','Insert','Backspace','PageUp','PageDown','Home','End','PrintScreen',
      'F1','F2','F3','F4','F5','F6','F7','F8','F9','F10','F11','F12'
    );
    TValue:array[1..33] of Byte=(
      VK_SHIFT,VK_CONTROL,VK_MENU,VK_RMENU,
      VK_LWIN,VK_APPS,VK_LEFT,VK_RIGHT,VK_UP,VK_DOWN,VK_ESCAPE,VK_RETURN,VK_TAB,
      VK_DELETE,VK_INSERT,VK_BACK,VK_PRIOR,VK_NEXT,VK_HOME,VK_END,VK_SNAPSHOT,
      VK_F1,VK_F2,VK_F3,VK_F4,VK_F5,VK_F6,VK_F7,VK_F8,VK_F9,VK_F10,VK_F11,VK_F12
    );
  var
    a:Integer;
  begin
    for a:=Low(TName) to High(TName) do
      if TName[a]=Name then begin
        Result:=TValue[a];
        Exit;
      end;
    Result:=0;
  end;

  procedure ActivateKey(const Key:Word;const Down,Special:Boolean);
  var
    i:TInput;
  const
    KEYEVENTF_SCANCODE=8;
    KEYEVENTF_UNICODE=4;
  begin
    if Key=0 then
      Exit;
    ZeroMemory(@i,SizeOf(i));
    i.Itype:=INPUT_KEYBOARD;
    if Special or (Key<=Ord('Z')) and (Key>=Ord('A')) then begin
      i.ki.wVk:=Key;
    end else begin
      i.ki.wScan:=Key;
      i.ki.dwFlags:=KEYEVENTF_UNICODE;
    end;
    if not Down then
      i.ki.dwFlags:=i.ki.dwFlags or KEYEVENTF_KEYUP;
    SendInput(1,i,SizeOf(i));
  end;

begin
  s:=HTMLEdit2.Text;
  a:=1;
  n:=Length(s);
  while a<=n do begin
    c:=s[a];
    case c of
      '@':begin
        Inc(a);
        if a<=n then begin
          c:=s[a];
          case c of
            '+':begin
              Inc(a);
              ActivateKey(SpecialKey(ReadArgument),True,True);
            end;
            '-':begin
              Inc(a);
              ActivateKey(SpecialKey(ReadArgument),False,True);
            end;
            '@':begin
              ActivateKey(Ord('@'),True,False);
              ActivateKey(Ord('@'),False,False);
            end;
          else
            t:=ReadArgument;
            ActivateKey(SpecialKey(t),True,True);
            ActivateKey(SpecialKey(t),False,True);
          end;
        end;
      end;
    else
      ActivateKey(Ord(c),True,False);
      ActivateKey(Ord(c),False,False);
    end;
    Inc(a);
  end;
  ActivateKey(VK_SHIFT,False,True);
  ActivateKey(VK_CONTROL,False,True);
  ActivateKey(VK_MENU,False,True);
  ActivateKey(VK_RMENU,False,True);
  HTMLEdit2.Text:='';
  HTMLCheckBox2.Checked:=False;
  HTMLCheckBox3.Checked:=False;
  HTMLCheckBox4.Checked:=False;
  HTMLCheckBox5.Checked:=False;
end;

end.
